%define 	name	pcsc-lite
%define 	version	1.3.0
%define 	release	1.ML5
%define 	prefix	/usr

Summary: 	PCSC Lite winscard API
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Vendor: 	StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://pcsclite.alioth.debian.org/
Source:		http://alioth.debian.org/download.php/1133/%{name}-%{version}.tar.gz
Patch0:         %{name}-docinst.patch
Patch1:         %{name}-1.3.0-rpath64.patch
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:  libusb-devel >= 0.1.7
BuildRequires:  doxygen
BuildRequires:  graphviz
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig


%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface 
in a very small form factor for communicating to smart cards and readers. 
PCSC Lite uses the same winscard API as used under Windows(R).

%package        libs
Summary:        PC/SC Lite libraries
Group:          System Environment/Libraries
Provides:       libpcsc-lite = %{version}-%{release}

%description    libs
PC/SC Lite libraries.

%package        devel
Summary:        PC/SC Lite development files
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig
Provides:       libpcsc-lite-devel = %{version}-%{release}

%description    devel
PC/SC Lite development files.

%package        doc
Summary:        PC/SC Lite developer documentation
Group:          Documentation

%description    doc
%{summary}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
sed -i -e 's/^\(HAVE_DOT\s*=\s*\)/\1 YES/' doc/doxygen.conf.in

%build
%configure -q \
	--enable-confdir=$RPM_BUILD_ROOT/etc \
	--enable-libusb \
	--enable-extendedapdu \
	--enable-usbdropdir=/usr/share/pcsc/drivers \
	--enable-muscledropdir=/usr/share/pcsc/services \
  	--enable-runpid=%{_localstatedir}/run/pcscd.pid \
  	--enable-ipcdir=%{_localstatedir}/run 

make %{?_smp_mflags}
doxygen doc/doxygen.conf ; rm -f doc/api/*.{map,md5}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%makeinstall

mkdir $RPM_BUILD_ROOT/etc/init.d
cp etc/pcscd.init $RPM_BUILD_ROOT/etc/init.d/pcscd
cd $RPM_BUILD_ROOT/
cat $RPM_BUILD_ROOT/usr/sbin/update-reader.conf | sed 's|/var/tmp/pcsc-lite-1.3.0-1.ML5||' > $RPM_BUILD_ROOT/usr/sbin/update-reader.conf.new
mv $RPM_BUILD_ROOT/usr/sbin/update-reader.conf.new $RPM_BUILD_ROOT/usr/sbin/update-reader.conf
chmod 755 usr/sbin/update-reader.conf
chmod 755 etc/init.d/pcscd

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi


%post
chkconfig --add pcscd
chkconfig --level 35 pcscd on
service pcscd start

%postun
service pcscd stop
chkconfig --level 35 pcscd off
chkconfig --del pcscd

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS DRIVERS HELP
%{_bindir}/formaticc
%{_sbindir}/installifd
%{_sbindir}/pcscd
%{_sbindir}/update-reader.conf
%{_libdir}/lib*
%{_mandir}/man1/formaticc.1*
%{_mandir}/man5/reader.conf.5*
%{_mandir}/man8/pcscd.8*
%{_includedir}/PCSC/*
%{_sysconfdir}/reader.conf.d/*
%{_sysconfdir}/init.d/pcscd

%files libs
%defattr(-,root,root,-)
%{_libdir}/libpcsclite.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/PCSC/
%{_libdir}/libpcsclite.so
%{_libdir}/pkgconfig/libpcsclite.pc

%files doc
%defattr(-,root,root,-)
%doc doc/api/ doc/*.pdf doc/example/pcsc_demo.c


%changelog
* Thu Mar 23 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Upgrade to 1.3.0
* Sat Mar 18 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Sun Dec 04 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Fixed the usbdropdir
* Fri Nov 18 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Initial build


